#include<bits/stdc++.h>

using namespace std;

signed main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  int n;
  cin >> n;
  int l = 1, r = n + 1;
  vector<int> va, vb;
  for (int i = 0; i < n; i++) {
    if (i % 2 == 0)
      va.push_back(r++);
    else
      va.push_back(l++);
  }
  for (int i = 0; i < n; i++) {
    if (i % 2 == 0)
      vb.push_back(r++);
    else
      vb.push_back(l++);
  }
  for (int x : va)
    cout << x << " ";
  cout << "\n";
  for (int x : vb)
    cout << x << " ";
  return 0;
}